<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Insert title here</title>
	<link href="styles.css" rel="stylesheet">   
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
</head>
<body>

<input type="hidden" id="addressbook" value=""/>
    <input type="hidden" id="selectedcontacts" value=""/>
    <input type="hidden" id="subject" value=""/>
    <input type="hidden" id="message" value=""/>
    <div class="page">
        <div class="header">
            <div class="title">
                <h1>
                    SocialInviter Sample Code
                    <div class="code-integration">JSP</div>
                </h1>
            </div>
        </div>
        <div class="body">
            <h2>
                Welcome to SocialInviter!
            </h2>
            <p>
                To learn more about SocialInviter visit <a href="https://socialinviter.com" target="_blank" title="SocialInviter">socialinviter.com</a>
            </p>

            <div class="taf-static-services" style="display:none">
                <div class="taf-static-services-label" style="color: #000000">
                    Invite your friends</div>
                <ul class="taf-static-menu taf-horizontal-menu taf-default " style="width: auto;">
                    <li>
                        <a href="javascript:;" class="taf-static-service taf-google-bg" onclick="TAF.modal('google')">
                            <i class="taf-static-icon taf-i-google-white"></i>Google </a>
                    </li>
                    <li>
                        <a href="javascript:;" class="taf-static-service taf-yahoo-bg" onclick="TAF.modal('yahoo')">
                            <i class="taf-static-icon taf-i-yahoo-white"></i>Yahoo </a>
                    </li>
                    <li>
                        <a href="javascript:;" class="taf-static-service taf-outlook-bg" onclick="TAF.modal('outlook')">
                            <i class="taf-static-icon taf-i-outlook-white"></i>Outlook </a>
                    </li>
                    <li>
                        <a href="javascript:;" class="taf-static-service taf-apple-bg" onclick="TAF.modal('apple')">
                            <i class="taf-static-icon taf-i-apple-white"></i>Apple </a>
                    </li>
                    <li>
                        <a href="javascript:;" class="taf-static-service taf-facebook-bg" onclick="TAF.modal('facebook')">
                            <i class="taf-static-icon taf-i-facebook-white"></i>Facebook </a>
                    </li>
                    <li>
                        <a href="javascript:;" class="taf-static-service taf-twitter-bg" onclick="TAF.modal('twitter')">
                            <i class="taf-static-icon taf-i-twitter-white"></i>Twitter </a>
                    </li>
                    <li>
                        <a href="javascript:;" class="taf-static-service taf-more-bg" onclick="TAF.modal('more')">
                            <i class="taf-static-icon taf-i-more-white"></i>More </a>
                    </li>
                </ul>
            </div>



            <div class="break">Loaded contacts</div>
            <textarea id="txtloadedContacts" style="min-height: 100px;width: 99%;" placeholder="Imported contacts will appear here..."></textarea>

            <div class="break">Selected contacts</div>
            <textarea id="txtselectedcontacts" style="min-height: 100px;width: 99%;" placeholder="Selected contacts will appear here..."></textarea>

        </div>
        <div class="footer">
            <p>
                You can also find <a href="https://docs.socialinviter.com/" target="_blank" title="SocialInviter Docs">documentation at SocialInviter Docs</a>.
            </p>
        </div>
    </div>

 
<!-- Begin SocialInviter Code -->
<script>
        (function() {
            function bootSocialInviter(l, c) {
                var d = document,
                    k = 'https://api.socialinviter.com/',
                    t = 'script',
                    o = d.createElement(t),
                    s = d.getElementsByTagName(t)[0];
                o.src = k + 'taf.js?license=' + l;
                o.id = 'tafscript';
                o.async = true;
                if (c) {
                    o.addEventListener('load', function(e) {
                        c(null, e);
                    }, false);
                }
                s.parentNode.insertBefore(o, s);

                const head = document.getElementsByTagName("HEAD")[0],
                    link = document.createElement("link");
                link.rel = "stylesheet", link.type = "text/css", link.href = k + "taf.css", head.appendChild(link);
            }
            bootSocialInviter('<your license key here>', function() {
                // Load Callback
                setCallbacks();
            });
        })();

        // Set callbacks
        const setCallbacks = function() {
            SocialInviter.set({
                callbacks: {
                    imported: function(service, profile, addressbook) {
                        // Add your logic here...
                        const len = addressbook.length;
                        let contacts = "";
                        for (var i = 0; i < len; i++) {
                            contacts += ((i != 0) ? ", " : "") + addressbook[i].name.first_name + " " + addressbook[i].name.last_name;
                            contacts += "< " + addressbook[i].email[0] + " > ";
                        }
                        document.querySelector("#txtloadedContacts").innerHTML = contacts;
                        console.log('profile', profile);
                        const postdata =  {action: "contacts",data:JSON.stringify(addressbook)};
                        $.post("processor", postdata, function (response) {
                            //console.log(response);
                        });
                    },
                    proceed: function(service, profile, addressbook, selected) {
                        // Add your logic here...
                        const len = selected.length;
                        let contacts = "";
                        for (var i = 0; i < len; i++) {
                            contacts += ((i != 0) ? ", " : "") + selected[i].name.first_name + " " + selected[i].name.last_name;
                            contacts += "< " + selected[i].email[0] + " > ";
                        }
                        document.querySelector("#txtselectedcontacts").innerHTML = contacts;
                        const postdata =  {action: "selectedcontacts",data:JSON.stringify(addressbook)};
                        $.post("processor", postdata, function (response) {
                            //console.log(response);
                        });
                    },
                    send: function(service, profile, addressbook, selected, successObjects, errorObjects) {
                        // Add your logic here...
                        const len = selected.length;
                        let contacts = "";
                        for (var i = 0; i < len; i++) {
                            contacts += ((i != 0) ? ", " : "") + selected[i].name.first_name + " " + selected[i].name.last_name;
                            contacts += "< " + selected[i].email[0] + " > ";
                        }
                        document.querySelector("#txtselectedcontacts").innerHTML = contacts;
                    }
                }
            });
        }
    </script>
    <!-- End SocialInviter Code -->
</body>
</html>